System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object To be added

The class is an abstract class for mapping XML Schema definition language (XSD) types to Common Language Runtime (CLR) types.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called by derived class constructors to initialize state in this type.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  For more information about type support in the classes and conversion of XML data types, see the Type Support in the System.Xml Classes topic.

  Converts the value specified, whose type is one of the valid Common Language Runtime (CLR) representations of the XML schema type represented by the , to the CLR type specified.

  The converted input value.

  The input value to convert to the specified type. The target type to convert the input value to.
- Method
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  For more information about type support in the classes and conversion of XML data types, see the Type Support in the System.Xml Classes topic.

  Converts the value specified, whose type is one of the valid Common Language Runtime (CLR) representations of the XML schema type represented by the , to the CLR type specified using the if the represents the xs:QName type or a type derived from it.

  The converted input value.

  The input value to convert to the specified type. The target type to convert the input value to. An used for resolving namespace prefixes. This is only of use if the represents the xs:QName type or a type derived from it.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  The method always returns false.

  Always returns false.

  The .
- Method
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The method validates the string specified against a built-in or user-defined simple type. For example, if this represents the type xs:date, then an instance of is returned.

  The following are the steps performed during the method's validation process.

  Convert the value specified as a string to its corresponding Common Language Runtime (CLR) type.

  Verify that the value does not violate any facets defined for the simple type.

  The converted value is then returned as an and can be cast safely to the type returned by the property.

  When the object represents a list type, the input string value is converted to a list of one or more objects. When the object represents a list type, an attempt is made to parse the input value as a member type of the union. If the parse attempt fails, then the conversion is attempted with the next member of the union until the parse is successful or there are no other member types to parse. If the parse is unsuccessful, an exception is thrown.

  When overridden in a derived class, validates the string specified against a built-in or user-defined simple type.

  An that can be cast safely to the type returned by the property.

  The string to validate against the simple type. The to use for atomization while parsing the string if this object represents the xs:NCName type. The object to use while parsing the string if this object represents the xs:QName type.
- Method
  System.Object `` `` ``

  The method validates the specified string against a built-in or user-defined simple type. For example, if this represents the type xs:date, then an instance of is returned.

  The following are the steps performed during the method's validation process.

  Convert the specified string to its corresponding Common Language Runtime (CLR) type.

  Verify that the value does not violate any facets that are defined for the simple type.

  The converted value is then returned as an and can be cast safely to the type that is returned by the property.

  When the object represents a list type, the input string value is converted to a list of one or more objects. When the object represents a list type, an attempt is made to parse the input value as a member type of the union. If the parse attempt fails, then the conversion is attempted with the next member of the union until the parse is successful or there are no other member types to parse. If the parse is unsuccessful, an exception is thrown.

  When overridden in a derived class, validates the specified string against a built-in or user-defined simple type.

  An that can be safely cast to the type that is returned by the property.

  The string to validate against the simple type. The to use for atomization while parsing the string if this object represents the xs:NCName type. The object to use while parsing the string if this object represents the xs:QName type. 1.0.5000.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlTokenizedType To be added: an object of type 'System.Xml.XmlTokenizedType'

  Allows the string to be read as a particular XML type, for example, a CDATA section type.

  The following table shows the token types.

  XmlTokenizedType

  Description

  CDATA

  CDATA type

  ID

  ID type

  IDREF

  IDREF type

  IDREFS

  IDREFS type

  ENTITY

  ENTITY type

  ENTITIES

  ENTITIES type

  NMTOKEN

  NMTOKEN type

  NMTOKENS

  NMTOKENS type

  NOTATION

  NOTATION type

  ENUMERATION

  ENUMERATION type

  QName

  QName type

  NCName

  NCName type

  None

  No type

  When overridden in a derived class, gets the type for the string as specified in the World Wide Web Consortium (W3C) XML 1.0 specification.

- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlTypeCode To be added.

  W3C XML Schema list types such as xs:ENTITIES, xs:NMTOKENS and xs:IDREFS are not represented by the enumeration. Instead they are represented by the values for the xs:ENTITY, xs:NMTOKEN and xs:IDREF types with the property of the object set to .

  Both the xs:anySimpleType and xs:anyType types are not represented by enumeration. These are represented in an object with an whose value is for xs:anySimpleType or for xs:anyType.

  Gets the value for the simple type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'System.Type'

  The property gets the CLR type of the item. For example, an element of type xs:int would have a of by default. However, the could be any one of the valid types that can be mapped to xs:int, such as or .

  For more information about type support in the namespace, see Type Support in the System.Xml Classes.

  When overridden in a derived class, gets the Common Language Runtime (CLR) type of the item.

- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaDatatypeVariety To be added. To be added.

  Gets the value for the simple type.